WM2XMCD(1)

NAME
wm2xmcd - workman-to-xmcd CD database file converter

SYNOPSIS
wm2xmcd [-v n] [-d outdir] [-c] workmandb ...

DESCRIPTION
Similar in function to xmcd, workman is a CD audio player utility for the X window system, but uses the XView/Open Look interface. Wm2xmcd is a simple program that converts workman CD database files to the xmcd format. A specified workman CD database file is used as input and Xmcd CD database files are generated.

OPTIONS
Wm2xmcd supports the following options:

-v n
    Specifies level of verbosity of output diagnostics. Currently the levels 0 through 3 are supported. Level 0 is the "quietest" whereas level 3 generates lots of messages.

-d outdir
    Specifies the output directory. The default is cddb under the current directory. If the -c option is also specified, then subdirectories under outdir will be created.

-c  With this option, wm2xmcd will prompt the user to type a category name for each CD entry to be converted. Each category will be a subdirectory under the output directory.

NOTES
Workman uses a complex multi-line track title description scheme, whereas xmcd uses a simple list of single-line titles. Xmcd has flexible free-form text fields associated with the CD as well as each track. Wm2xmcd currently expands the multi-line workman track entries into a format that fits the xmcd list, but does not use the free-form text fields.

Some workman database keywords are ignored by this utility, notably those that correspond to workman features that are irrelevant in xmcd.

SEE ALSO
xmcd(1), cda(1), cddbcmd(1),
Xmcd web site: http://metalab.unc.edu/tkan/xmcd/
CDDB web site: http://www.cddb.com/

AUTHOR
Ti Kan (ti@amb.org)
AMB Research Laboratories, Sunnyvale, CA, U.S.A.

Comments, suggestions, and bug reports are always welcome.

Workman was originally written by Steve Grimm (koreth@hyperion.com). Inquiries about workman should be directed to its current maintainer, Dirk Foersterling (milliByte@DeathsDoor.com).